4Suite™ API Documentation

# ► Module Ft.Xml.Xslt.RtfWriter

Result Tree Fragment writer for XSLT output

    Copyright 2005 Fourthought, Inc. (USA).
    Detailed license and copyright information: http://4suite.org/COPYRIGHT
    Project home, documentation, distributions: http://4suite.org/

Classes: RtfWriter |  |  |  | Globals: EMPTY_NAMESPACE, XMLNS_NAMESPACE, implementation

## Classes

class RtfWriter(Ft.Xml.Xslt.NullWriter.NullWriter)
  A special, simple writer for capturing result-tree fragments

  ### Methods

  __init__(self, outputParams, baseUri, implementation=<DOMImplementation at 0x815b438>)
    Note: The implementation must support createRootNode(baseUri).
    Overrides: __init__ from class NullWriter
  attribute(self, name, value, namespace=None)
    Overrides: attribute from class NullWriter
  comment(self, data)
    Overrides: comment from class NullWriter
  endElement(self, name, namespace=None)
    Overrides: endElement from class NullWriter
  getResult(self)
    Overrides: getResult from class NullWriter
  processingInstruction(self, target, data)
    Overrides: processingInstruction from class NullWriter
  startElement(self, name, namespace=None, extraNss=None)
    Overrides: startElement from class NullWriter
  text(self, data, escapeOutput=True)
    Overrides: text from class NullWriter

  ### Methods inherited from class Ft.Xml.Xslt.NullWriter.NullWriter

  copyNodes, endDocument, getMediaType, getStream, namespace, startDocument

## Globals

EMPTY_NAMESPACE = None
XMLNS_NAMESPACE = u'http://www.w3.org/2000/xmlns/'
implementation = <DOMImplementation>
  The DOMImplementation interface provides a number of methods for performing operations that are independent of any particular instance of the document object model.